CVE-2001-1123
CVSS7.2
发布时间 :2001-10-01 00:00:00
修订时间 :2008-09-05 16:25:44
NMCOS    

[原文]Vulnerability in Network Node Manager (NNM) 6.2 and earlier in HP OpenView allows a local user to execute arbitrary code, possibly via a buffer overflow in a long hostname or object ID.


[CNNVD]HP OpenView Network Node Manager任意权限提升漏洞(CNNVD-200110-001)

        HP OpenView的Network Node Manager (NNM) 6.2及其更早版本存在漏洞。本地用户可能可以借助超长主机名或ID对象的缓冲区溢出执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:hp:openview_network_node_manager:6.2HP OpenView Network Node Manager 6.2
cpe:/a:hp:openview_network_node_manager:6.1HP OpenView Network Node Manager 6.1
cpe:/a:hp:openview_network_node_manager:5.01HP OpenView Network Node Manager 5.01

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-1123
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-1123
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200110-001
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/782155
(UNKNOWN)  CERT-VN  VU#782155
http://xforce.iss.net/static/7222.php
(VENDOR_ADVISORY)  XF  openview-nmm-gain-privileges(7222)
http://www.securityfocus.com/bid/3399
(VENDOR_ADVISORY)  BID  3399
http://www.securityfocus.com/advisories/3585
(VENDOR_ADVISORY)  HP  HPSBUX0110-170
http://www.securityfocus.com/advisories/3723
(UNKNOWN)  HP  HPSBUX0112-177

- 漏洞信息

HP OpenView Network Node Manager任意权限提升漏洞
高危 缓冲区溢出
2001-10-01 00:00:00 2005-10-20 00:00:00
本地  
        HP OpenView的Network Node Manager (NNM) 6.2及其更早版本存在漏洞。本地用户可能可以借助超长主机名或ID对象的缓冲区溢出执行任意代码。

- 公告与补丁

        Vendor updates available:
        HP OpenView Network Node Manager 5.0 1 HP-UX
        
        HP OpenView Network Node Manager 5.0 1 Solaris
        
        HP OpenView Network Node Manager 6.1 Solaris
        
        HP OpenView Network Node Manager 6.1 HP-UX 10.X
        
        HP OpenView Network Node Manager 6.1 HP-UX 11.X
        
        HP OpenView Network Node Manager 6.2 Solaris
        
        HP OpenView Network Node Manager 6.2 HP-UX 11.X
        
        HP OpenView Network Node Manager 6.2 HP-UX 10.X
        

- 漏洞信息

11342
HP OpenView NNM Unspecified Local Privilege Escalation
Local Access Required
Loss of Integrity Patch / RCS
Vendor Verified

- 漏洞描述

- 时间线

2001-10-01 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, HP has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

HP OpenView Network Node Manager Arbitrary Privilege Elevation Vulnerability
Boundary Condition Error 3399
No No
2001-10-01 12:00:00 2009-07-11 07:56:00
This vulnerability was announced in an HP Security Bulletin on October 1, 2001.

- 受影响的程序版本

HP OpenView Network Node Manager 6.2 Solaris
- Sun Solaris 2.5.1
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
HP OpenView Network Node Manager 6.2 HP-UX 11.X
- HP HP-UX 11.11
- HP HP-UX 11.0
HP OpenView Network Node Manager 6.2 HP-UX 10.X
- HP HP-UX 10.20
HP OpenView Network Node Manager 6.1 Solaris
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
- Sun Solaris 2.5
- Sun Solaris 2.4
HP OpenView Network Node Manager 6.1 HP-UX 11.X
- HP HP-UX 11.0 4
- HP HP-UX 11.0
HP OpenView Network Node Manager 6.1 HP-UX 10.X
- HP HP-UX 10.34
- HP HP-UX 10.30
- HP HP-UX 10.20
- HP HP-UX 10.16
- HP HP-UX 10.10
- HP HP-UX 10.9
- HP HP-UX 10.8
- HP HP-UX 10.1 0
- HP HP-UX 10.0 1
- HP HP-UX 10.0
- HP HP-UX (VVOS) 10.24
HP OpenView Network Node Manager 5.0 1 Solaris
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
- Sun Solaris 2.5
- Sun Solaris 2.4
HP OpenView Network Node Manager 5.0 1 HP-UX
- HP HP-UX 10.34
- HP HP-UX 10.30
- HP HP-UX 10.20
- HP HP-UX 10.16
- HP HP-UX 10.10
- HP HP-UX 10.9
- HP HP-UX 10.8
- HP HP-UX 10.1 0
- HP HP-UX 10.0 1
- HP HP-UX 10.0
- HP HP-UX (VVOS) 10.24

- 漏洞讨论

HP Network Node Manager is a commercial systems management software package distributed by Hewlett-Packard.

A problem in Network Node Manager (NNM) has been discovered that can allow users to gain elevated privileges. The problem involves the handling of long hostnames. When OpenView is forced to handle a hostname of greater than 256 bytes, a buffer overflow occurs that could result in the execution of arbitrary code.

This makes it possible for a user to gain elevated privileges. HP has not made it clear whether this vulnerability is local or remote.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Vendor updates available:


HP OpenView Network Node Manager 5.0 1 HP-UX

HP OpenView Network Node Manager 5.0 1 Solaris

HP OpenView Network Node Manager 6.1 Solaris

HP OpenView Network Node Manager 6.1 HP-UX 10.X

HP OpenView Network Node Manager 6.1 HP-UX 11.X

HP OpenView Network Node Manager 6.2 Solaris

HP OpenView Network Node Manager 6.2 HP-UX 11.X

HP OpenView Network Node Manager 6.2 HP-UX 10.X

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站